Bug 741183 - [RFE] Write a tool to align the partition(s) in a Windows XP image to a multiple of 8 sectors
[RFE] Write a tool to align the partition(s) in a Windows XP image to a multi...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
: FutureFeature, Improvement
Depends On: 634649 libguestfs_rebase6.3
Blocks: 641489 773650 773651 773677 773696
  Show dependency treegraph
 
Reported: 2011-09-26 03:34 EDT by Richard W.M. Jones
Modified: 2013-01-09 19:23 EST (History)
14 users (show)

See Also:
Fixed In Version: libguestfs-1.16.2-1.el6
Doc Type: Enhancement
Doc Text:
Cause: Guest has partitions which are not aligned for best performance. Until around 2008, most guests installed themselves non-optimally like this, and this applies even when installing a pre-2008 guest today. Consequence: The guest suffers a performance penalty, as much as 20%. Fix: libguestfs now provides two tools which can diagnose and fix these guests: virt-alignment-scan and (the updated) virt-resize. Result: Customers can use virt-alignment-scan to identify which guests may suffer from poor performance because of unaligned partitions. Furthermore they can fix these guests by using virt-resize. Customers should read the respective manual pages carefully first.
Story Points: ---
Clone Of: 634649
Environment:
Last Closed: 2012-06-20 02:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2011-09-26 03:34:52 EDT
+++ This bug was initially created as a clone of Bug #634649 +++

Description of problem:
According to multiple sources (http://media.netapp.com/documents/tr-3747.pdf for example) alignment can have huge impact on performance. Our qcow2 is indeed aligned to 64K boundaries, but then XP goes and install itself on sector 63, which means 31.5K into the first qcow2 cluster. That's not that great.
See the above NetApp PDF, section 4.4.1 and on, how this can easily be fixed pre-installation. libguestfs should do it via its NFS utilities.

This can be later utilized by RHEVM.

--- Additional comment from rjones@redhat.com on 2010-09-17 06:03:33 EDT ---

Mike Snitzer wrote these documents on the issue:

http://people.redhat.com/msnitzer/docs/io-limits.txt
http://people.redhat.com/msnitzer/snitzer_rhsummit_2009.pdf
Comment 2 Richard W.M. Jones 2011-12-06 03:54:44 EST
If we do the rebase then we will get the two tools
virt-alignment-scan and (updated) virt-resize in RHEL 6.3.
Comment 4 Richard W.M. Jones 2012-02-06 08:23:53 EST
Setting to modified on the basis that libguestfs 1.16.2 is
available and contains the new tools (virt-alignment-scan
and updated virt-resize).
Comment 7 Richard W.M. Jones 2012-04-26 09:22:02 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:
Guest has partitions which are not aligned for best performance.  Until around 2008, most guests installed themselves non-optimally like this, and this applies even when installing a pre-2008 guest today.

Consequence:
The guest suffers a performance penalty, as much as 20%.

Fix:
libguestfs now provides two tools which can diagnose and fix these guests: virt-alignment-scan and (the updated) virt-resize.

Result:
Customers can use virt-alignment-scan to identify which guests may suffer from poor performance because of unaligned partitions.  Furthermore they can fix these guests by using virt-resize.  Customers should read the respective manual pages carefully first.
Comment 9 Mohua Li 2012-05-14 02:37:56 EDT
set to verified, according to the above result, and i didn't see any side-effect
Comment 14 errata-xmlrpc 2012-06-20 02:59:51 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0774.html

Note You need to log in before you can comment on or make changes to this bug.